﻿*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-user-drag: none;
    user-select: none;
}

html, body
{
    width: 100%;
    height: 100%;
    overflow: hidden;
    font-family: sans-serif;
    background: #000000;
}

.engine-canvas
{
    display: block;
    width: 100%;
    height: 100%;
    position: relative;
    top: 0;
    left: 0;
    z-index: 1;
}

/* ----------------------------------------------------------- */
/* ----------------------------------------------------------- */
/* ----------------------------------------------------------- */
/* ----------------------------------------------------------- */
/*                   ENGINE COMMON GUI                         */
/* ----------------------------------------------------------- */
/* ----------------------------------------------------------- */
/* ----------------------------------------------------------- */
/* ----------------------------------------------------------- */

.engine-gui-base
{
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999;
    user-select: none;
    pointer-events: none;
}

.engine-gui-label
{
    position: relative;
    color: white;
    padding: 2px;
    font-size: 12px;
    text-wrap: nowrap;
    min-width: 0;
    overflow: clip;
    text-overflow: ellipsis;
    user-select: none;
    white-space: pre;
}

.engine-gui-vertical-container
{
    position: relative;
    display: inline-flex;
    align-items: flex-start;
    flex-direction: column;
    background-color: rgba(40, 40, 40, 0.5);
    padding: 4px 4px;
}

.engine-gui-horizontal-container
{
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
    background-color: rgba(40, 40, 40, 0.5);
    padding: 4px 4px;
}

/* ----------------------------------------------------------- */
/* ----------------------------------------------------------- */
/* ----------------------------------------------------------- */
/* ----------------------------------------------------------- */
/*                   ENGINE LOADING SCREEN                     */
/* ----------------------------------------------------------- */
/* ----------------------------------------------------------- */
/* ----------------------------------------------------------- */
/* ----------------------------------------------------------- */

#engine-loading-screen
{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    padding-bottom: 200px;
    z-index: 99999;
    user-select: none;
    pointer-events: none;
}

.engine-loading-screen-fadein
{
    animation: anim-engine-loading-screen-fadein 0.5s ease forwards;
}

.engine-loading-screen-fadeout
{
    animation: anim-engine-loading-screen-fadeout 0.5s ease forwards;
}

@keyframes anim-engine-loading-screen-fadein
{
    from
    {
        opacity: 0;
    }

    to
    {
        opacity: 1;
    }
}

@keyframes anim-engine-loading-screen-fadeout
{
    from
    {
        opacity: 1;
    }

    to
    {
        opacity: 0;
    }
}

#engine-loading-screen-base-container
{
    width: 100%;
    max-width: 650px;
    min-width: 280px;
    height: auto;
    background-color: rgba(0,0,0,0);
    display: flex;
    flex-direction: column;
    /*border: 3px solid #ff0000;*/
}

#engine-loading-screen-logo
{
    padding: 40px 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    /*border: 2px solid #ffaa00;*/
}

#engine-loading-screen-bar-container
{
    padding: 2px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    /*border: 2px solid #00ff00;*/
}

#engine-loading-screen-bar-fill
{
    width: 80%;
    height: 12px;
    background: #333333;
    border-radius: 6px;
    background: repeating-linear-gradient( 45deg, #5b5c5c 0px, #5b5c5c 8px, #4a4b4b 8px, #4a4b4b 16px );
    background-size: 40px 40px;
    animation: anim-engine-loading-screen-bar-slide 1s linear infinite;
}

@keyframes anim-engine-loading-screen-bar-slide
{
    0%
    {
        background-position: 0 0;
    }

    100%
    {
        background-position: 40px 0;
    }
}

#engine-loading-screen-text-container
{
    padding: 8px 20px;
    text-align: center;
    font-size: 0.9rem;
    font-family: "Nirmala UI", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
    color: #bbbbbb;
    /*border: 2px solid #0000ff;*/
}

.engine-loading-screen-text-blinking
{
    font-weight: bold;
    animation: anim-engine-loading-screen-text-blink 1s ease-in-out infinite;
}

@keyframes anim-engine-loading-screen-text-blink
{
    0%, 100%
    {
        opacity: 0.2;
    }

    50%
    {
        opacity: 1;
    }
}